## armesto 0.2.0ubuntu1-1regolith

=== debian/changelog ===
armesto (0.2.0ubuntu1-1regolith-oracular) oracular; urgency=medium

  * Automated Voulage release

 -- Regolith Linux <regolith.linux@gmail.com>  Wed, 29 Jan 2025 21:48:31 +0000

armesto (0.2.0ubuntu1) jammy; urgency=medium

  * fix: update time dependency due to breaking change upstream.

 -- Regolith Linux <regolith.linux@gmail.com>  Sat, 19 Oct 2024 14:05:32 -0700

armesto (0.2.0) focal; urgency=medium

  * feat: some work in error handling. address silent failure due to another dbus server running

 -- Regolith Linux <regolith.linux@gmail.com>  Sun, 09 Jul 2023 16:57:07 -0700

armesto (0.1.2) focal; urgency=medium

  * Add makefile to connect debian build to rust, adapted from trawldb
  * downgrade rust version due to build dep issues
  * Try a different form of install file due to build error
  * build cleanup
  * Fix build dep

 -- Regolith Linux <regolith.linux@gmail.com>  Tue, 04 Jul 2023 08:20:21 -0700

armesto (0.1.1) focal; urgency=medium

  * specify install files

 -- Regolith Linux <regolith.linux@gmail.com>  Sun, 02 Jul 2023 20:10:29 -0700

armesto (0.1.0) focal; urgency=medium

  [ Regolith Linux ]
  * Initial release

 -- Regolith Linux <regolith.linux@gmail.com>  Sun, 02 Jul 2023 16:07:47 -0700

## armesto 0.2.2ubuntu1

=== Makefile ===
#/usr/bin/make -f

INSTALL_PROGRAM = install -D -m 0755
INSTALL_DATA = install -D -m 0644

PREFIX ?= $(DESTDIR)
BINDIR ?= $(PREFIX)/usr/bin

BIN := armesto

MESON = meson


all: build

distclean: clean

clean:
	-cargo clean

build-arch: build

build-independent: build

binary: build

binary-arch: build

binary-independent: build

build: 
	cargo build --release

install: 
	$(INSTALL_PROGRAM) "./target/release/$(BIN)" "$(BINDIR)/$(BIN)"

uninstall:
	rm -f "$(BINDIR)/$(BIN)"

run-test:
	cargo test -- --test-threads=1

## armesto 0.2.1ubuntu1-1regolith

=== debian/changelog ===
armesto (0.2.1ubuntu1-1regolith-questing) questing; urgency=medium

  * Automated Voulage release

 -- Regolith Linux <regolith.linux@gmail.com>  Tue, 01 Jul 2025 16:40:01 +0000

armesto (0.2.1ubuntu1) jammy; urgency=medium

  [ Khosrow Moossavi ]
  * feat: enable github action to test pull requests
  * feat: enable github action to publish to unstable
  * feat: enable github action to publish to testing
  * feat: enable github action to prepare release
  * fix: create release tag from correct git sha

 -- Regolith Linux <regolith.linux@gmail.com>  Mon, 03 Feb 2025 21:32:39 +0000

=== debian/control ===
Source: armesto
Section: utils
Priority: optional
Maintainer: Ken Gilmer <kgilmer@gmail.com>
Build-Depends: cargo, debhelper (>= 11), libglib2.0-dev, meson, libdbus-1-dev
Standards-Version: 4.5.0

Package: armesto
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}, libdbus-1-dev
Description: Notification middleman for rofication

## armesto 0.2.2ubuntu1-1regolith

=== debian/changelog ===
armesto (0.2.2ubuntu1-1regolith-trixie) trixie; urgency=medium

  * Automated Voulage release

 -- Regolith Linux <regolith.linux@gmail.com>  Tue, 04 Nov 2025 18:27:15 +0000

armesto (0.2.2ubuntu1) jammy; urgency=medium

  [ Khosrow Moossavi ]
  * feat: use build-only to test pull request

 -- Regolith Linux <regolith.linux@gmail.com>  Sun, 12 Oct 2025 15:06:38 +0000

## armesto 0.2.3ubuntu1-1regolith

=== debian/changelog ===
armesto (0.2.3ubuntu1-1regolith-trixie) trixie; urgency=medium

  * Automated Voulage release

 -- Regolith Linux <regolith.linux@gmail.com>  Tue, 04 Nov 2025 18:33:09 +0000

armesto (0.2.3ubuntu1) jammy; urgency=medium

  [ Ken Gilmer ]
  * fix: use correct version spec to avoid newer, rustc-incompat dependencies

 -- Regolith Linux <regolith.linux@gmail.com>  Tue, 04 Nov 2025 18:32:24 +0000
